@font-face {
  font-family: 'Lampner';
  src: url('/assets/fonts/Lampner/EFT_Lampner OT.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Lampner';
  src: url('/assets/fonts/Lampner/EFT_Lampner Bold OT.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: 'Lampner';
  src: url('/assets/fonts/Lampner/EFT_Lampner Light OT.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

body {
    direction: rtl;
    text-align: center;
    background-color: #f9f9f9;
    font-family: 'Lampner', sans-serif;
}
h1 { color: #333;font-size: 2rem; }
#gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    padding: 20px;
    max-width: 700px;
    margin: 0 auto;
    gap: 1rem 1.25rem;
}
@media only screen and (max-width: 800px) {
    #gallery {
        justify-content: center;
    }  
}
.gallery-item {
    background: #888;
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 10px;
    transition: transform 0.3s;
    cursor: pointer;
}
.gallery-item:hover {
    transform: scale(1.1);
}
#lightbox {
    position: fixed;
    top: 0; left: 0; width: 100%; height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: none; justify-content: center; align-items: center;
}
#lightbox img {
    max-width: 90%; max-height: 90%; border-radius: 10px;
}
#lightbox.close {
    position: absolute; top: 20px; right: 20px;
    font-size: 30px; color: white; cursor: pointer;
}
#uploadForm{
    background-image: linear-gradient(360deg, #ffa8b0, #c30cb5);
    padding: 1rem 0rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.banner-uploadform{
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
    width: 700px;
    align-self: center;
    gap: 10px;
}
.banner-uploadform p{
    font-size: 1.6rem;
    padding: 0;
    margin: 0 !important;
    font-weight: 700;
    max-width: 96%;
    line-height: 2rem;
    color: #ffffff;
}
.close{
    position: absolute;
    right: 4rem;
    top: 2rem;
    font-size: 3rem;
    color: #fff;
    cursor: pointer;
}
@media only screen and (max-width: 800px) {
    .close{ 
        right: unset;
        left: 1rem;
        top: 1rem;
    }
}
video{
    background-image: linear-gradient(#888, #999);
}
button{
    font-family: 'Lampner', sans-serif;
}
.addfilesboxx{
    width: 82%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    align-content: center;
}
.addfiles{
    width: 100%;
    margin-right: 0px;
    border: none;
    background-color: #f6f6f6;
    padding: 10px 20px;
    border-radius: 10px;
    color: #c40eb5;
    cursor: pointer;
    transition: background .2sease-in-out;
    font-size: 1.2rem;
    font-weight: 600;
}
.clickmeicon {
    position: relative;
    right: 40px;
    bottom: -14px;
    display: flex;
    flex-direction: row;
    align-content: center;
    align-items: center;
    justify-content: flex-start;
    right: -20px;
}
.clickmeicon i {
    background: url(/assets/img/trans_clickmeicon.png) no-repeat center center;
    background-size: contain;
    width: 62px;
    height: 26px;
    position: absolute;
}
#mainimage{
    width: 700px;
    max-width: 100%;
    height: 400px;
    object-fit: cover;
    object-position: left;
    margin-bottom: 20px;
}
.addfiles::file-selector-button:hover {
  background: #0d45a5;
}
.flip-card {
    background-color: transparent;
    border: 1px solid #f1f1f1;
    height: 300px;
    max-height: 300px;
    perspective: 1000px;
    overflow: hidden;
    margin-bottom: 20px;
}
@media only screen and (max-width: 800px) {
    .addfiles{
        max-width: 77%;
        margin-right: 0px;
    }  
}
@media only screen and (max-width: 800px) {
    #mainimage{
        width: 100%;
        max-width: 100%;
        height: 240px;
    }
    .flip-card {
       height: 240px;
        max-height: 240px; 
    }
}

/* This container is needed to position the front and back side */
.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

/* Position the front and back side */
.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 400px;
  max-height: 400px;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
  background-color: #bbb;
  color: black;
}

/* Style the back side */
.flip-card-back {
    background-image: linear-gradient(219deg, #b5007f, #cb2b2b);
    color: white;
    transform: rotateY(180deg);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.flip-card-back h1{
    color: #fff;
    margin-bottom: 0;
    font-size: 2rem;
    font-weight: 700;
}
.flip-card-back p{
    font-size: 1.5rem;
    font-weight: 500;
}
.flipboxs{
    display: flex;
    justify-content: center;
}
.flipboxs .flip-card{
    display: block;
    width: 700px;
    max-width: 700px;
}
@media only screen and (max-width: 800px) {
    .flipboxs .flip-card{
        width: 96dvw;
        max-width: 96dvw;
    }
    .flip-card-back h1{
        font-size: 28px;
    }
    .flip-card-back p{
        font-size: 20px;
    }
}
#uploadingOverlay {
    display: none;
    position: fixed;
    top: 0; left: 0; width: 100%; height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 9999;
    justify-content: center;
    align-items: center;
    font-family: 'Lampner', sans-serif;
}
.uploadingText {
    color: white;
    font-size: 2rem;
    font-weight: bold;
    text-align: center;
}
.close{
    font-size: 3dvw;
}
@media only screen and (max-width: 800px) {
    .close{
        font-size: 18dvw;
        top: 0;
    }
}
.addfilesboxx {
    width: 86%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    align-content: center;
}
.addfiles {
    max-width: 48%;
    box-shadow: 1px 1px 4px -1px #5d0053;
}
.addfiles:hover{
    background: #ffeaf9;
}
.mylogo{
    max-width: 88dvw;
    object-fit: contain;
    max-height: 120px;
}
html{
    max-width: 100dvw;
    overflow-x: hidden;
}